package it.inaf.oats.ia2.tapschemamanager.webapp;

import javax.faces.context.FacesContext;
import javax.faces.context.PartialViewContext;
import javax.faces.context.PartialViewContextFactory;

/**
 *
 * @author Sonia Zorba {@literal <zorba at oats.inaf.it>}
 */
public class CustomPartialViewContextFactory extends PartialViewContextFactory {

    private final PartialViewContextFactory wrapped;

    public CustomPartialViewContextFactory(PartialViewContextFactory wrapped) {
        this.wrapped = wrapped;
    }

    @Override
    public PartialViewContext getPartialViewContext(FacesContext context) {
        return new CustomPartialViewContextWrapper(wrapped.getPartialViewContext(context));
    }
}
