package it.inaf.oats.ia2.tapschemamanager.api.contract;

/**
 * Version of a TAP_SCHEMA schema. TAP_SCHEMA schemas with different versions
 * can use different columns in the database.
 *
 * @author Sonia Zorba {@literal <zorba at oats.inaf.it>}
 */
public enum TapSchemaVersion {

    TAP_SCHEMA_1("TAP_SCHEMA 1.0"),
    TAP_SCHEMA_1_1("TAP_SCHEMA 1.1"),
    TAP_SCHEMA_1_IA2("IA2 TAP_SCHEMA 1.0"),
    TAP_SCHEMA_1_1_IA2("IA2 TAP_SCHEMA 1.1");

    private final String name;

    private TapSchemaVersion(String name) {
        this.name = name;
    }
}
